跳转到主要内容
计算管理/镜像存储相关接口/镜像相关接口
DELETEImage Related Interfaces起始版本 0.6同步需要认证

删除镜像

删除镜像

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    镜像的UUID,唯一标示该子资源

请求体字段

  • backupStorageUuidsList

    镜像仓库UUID列表

  • deleteModeString

    删除模式(Permissive 或者 Enforcing, 默认 Permissive)

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

DELETE 接口成功时返回空对象,失败时返回标准错误结构。

成功响应

{}

错误响应

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

请求地址

DELETE/zstack/v1/images/{uuid}?backupStorageUuids={backupStorageUuids}&deleteMode={deleteMode}

/zstack/v1/images/{uuid}?backupStorageUuids={backupStorageUuids}&deleteMode={deleteMode}

操作 ID

DeleteImage

永久链接

请求示例

curl -X DELETE 'http://{host}/zstack/v1/images/{uuid}?backupStorageUuids={backupStorageUuids}&deleteMode={deleteMode}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"backupStorageUuids":["<backupStorageUuids>"],"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史